Ubuntu

0cf3:1002 carl9170 driver - network connection breaks

Reported by Luciferion on 2012-04-02
120
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned

Bug Description

Network connection "hangs". It happens if some bigger file is being downloaded.

Last mainline that works perfect for me is 3.1.10-precise. Next one 3.2-rc1-oneiric has the issue. This doesn't depend on firmware - it happens with all available firmware versions: 1.9.3, 1.9.4, 1.9.5. I use USB wireless card TP-LINK TL-WN821N. The device works perfect with Oneiric, breaks with Precise.

Kernel 3.3 (mainline) is affected. Kernel 3.4 rc1 performs much better, I can download much more data (few hundred MB) but than it also breaks (freezes) connection and doesn't reconnect.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-21-generic 3.2.0-21.34
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0-0ubuntu2
Architecture: amd64
Date: Mon Apr 2 19:13:18 2012
HibernationDevice: RESUME=UUID=532b5c84-fddc-4abb-baa4-8981e67388df
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120216)
MachineType: Gigabyte Technology Co., Ltd. GA-990XA-UD3
ProcEnviron:
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=96e54f03-f4f1-4a89-88c6-649ad85ad7b2 ro quiet splash vt.handoff=7
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/13/2011
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F9
dmi.board.name: GA-990XA-UD3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF9:bd10/13/2011:svnGigabyteTechnologyCo.,Ltd.:pnGA-990XA-UD3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-990XA-UD3:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-990XA-UD3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
---
ApportVersion: 2.10.2-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 2954 F.... pulseaudio
                      ubuntu 4879 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 2954 F.... pulseaudio
                      ubuntu 4879 F.... pulseaudio
CasperVersion: 1.333
DistroRelease: Ubuntu 13.10
LiveMediaBuild: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130612)
MachineType: Gigabyte Technology Co., Ltd. GA-990XA-UD3
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 nouveaufb
ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcVersionSignature: Ubuntu 3.9.0-4.9-generic 3.9.4
RelatedPackageVersions:
 linux-restricted-modules-3.9.0-4-generic N/A
 linux-backports-modules-3.9.0-4-generic N/A
 linux-firmware 1.109
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: saucy
Uname: Linux 3.9.0-4-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 10/26/2012
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F13
dmi.board.name: GA-990XA-UD3
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF13:bd10/26/2012:svnGigabyteTechnologyCo.,Ltd.:pnGA-990XA-UD3:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-990XA-UD3:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: GA-990XA-UD3
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Luciferion (mikolaj-q) wrote :
Brad Figg (brad-figg) on 2012-04-02
Changed in linux (Ubuntu):
status: New → Confirmed

Luciferion, thank you for reporting this and helping make Ubuntu better. If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Luciferion (mikolaj-q) wrote :

Already tested. Kernel 3.3 (mainline) is affected. Kernel 3.4 rc1 performs much better, I can download much more data (few hundred MB) but than it also breaks (freezes) connection and doesn't reconnect.

Luciferion, thank you for testing the mainline kernel. The next step is to perform a kernel bisect to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

description: updated
tags: added: regression-release
Changed in linux (Ubuntu):
importance: Undecided → High
status: Incomplete → Triaged
Brad Figg (brad-figg) on 2012-04-02
Changed in linux:
status: New → Confirmed
tags: added: needs-bisect
tags: added: kernel-da-key
tags: added: kernel-fixed-upstream
Brad Figg (brad-figg) wrote :

@Luciferion,

There are a number of mainline kernels at:
    http://kernel.ubuntu.com/~kernel-ppa/mainline/

These were built as the 3.2 development series progressed. You might try to install some of these and see if you can narrow down between which versions the regression was introduced.

Frank Freibuth (freibooter) wrote :

I'm having the exact same problem with my TP-LINK TL-WN822N v1 - which I believe uses an identical chipset to the TP-LINK TL-WN821N v2 that started this report.

Both are using the carl9710 drivers in Precise, which I believe is the source of this bug.

Frank Freibuth, please execute the following at the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Luciferion (mikolaj-q) wrote :

Last mainline that works perfect for me is 3.1.10-precise.
Next one 3.2-rc1-oneiric has the issue.

Awaiting results of https://bugs.launchpad.net/linux/+bug/971728/comments/4 .
linux (Ubuntu) -> Incomplete

description: updated
tags: added: kernel-bug-exists-upstream
removed: kernel-fixed-upstream
Changed in linux:
status: Confirmed → New
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Brad Figg (brad-figg) wrote :

@Luciferion,

Please try the kernel at: http://people.canonical.com/~bradf/lp971728/01/ and report back here if it is better or worse.

Brad Figg (brad-figg) on 2012-05-02
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Zhong Wang (zhongwang) wrote :

Kernel #38~lp971728~01 has improved performance compared with the default 3.2 kernel (which usually hangs the connection in less than a few minutes, say, 2 minutes ).

Although it does not completely solve the problem, the patched kernel in my test case, lasted for approximately 28 minutes, with initial http download of ~350M and subsequent P2P download of ~70 M before it hangs.

Zhong Wang, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

summary: - carl9170 driver - network connection breaks
+ 0cf3:1002 carl9170 driver - network connection breaks
Artur Ruta (artur-ruta) wrote :
Download full text (29.5 KiB)

Same behavior with a D-Link DWA-160 usb wifi dongle revision A2 wich includes the atheros AR9170+AR9104

syslog at the time of error follows
Jun 23 09:39:10 Canigo kernel: [ 1476.376752] ieee80211 phy0: channel change: 5220 -> 5240 failed (3).
Jun 23 09:42:35 Canigo kernel: [ 1681.219294] ------------[ cut here ]------------
Jun 23 09:42:35 Canigo kernel: [ 1681.219323] WARNING: at /build/buildd/linux-3.2.0/drivers/net/wireless/ath/carl9170/tx.c:354 carl9170_tx_shift_bm.isra.20+0x109/0x120 [carl9170]()
Jun 23 09:42:35 Canigo kernel: [ 1681.219332] Hardware name: AMILO Pro Edition V3505
Jun 23 09:42:35 Canigo kernel: [ 1681.219338] Modules linked in: arc4 parport_pc ppdev rfcomm bnep joydev carl9170 pcmcia mac80211 ath usbhid hid snd_hda_codec_si3054 snd_hda_codec_realtek i915 snd_hda_intel cfg80211 snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event drm_kms_helper snd_seq drm snd_timer snd_seq_device yenta_socket btusb psmouse pcmcia_rsrc serio_raw bluetooth snd pcmcia_core soundcore snd_page_alloc i2c_algo_bit video mac_hid lp parport sdhci_pci sdhci sky2
Jun 23 09:42:35 Canigo kernel: [ 1681.219455] Pid: 0, comm: swapper/0 Not tainted 3.2.0-25-generic-pae #40-Ubuntu
Jun 23 09:42:35 Canigo kernel: [ 1681.219462] Call Trace:
Jun 23 09:42:35 Canigo kernel: [ 1681.219478] [<c1592f2e>] ? printk+0x2d/0x2f
Jun 23 09:42:35 Canigo kernel: [ 1681.219494] [<c105a5e2>] warn_slowpath_common+0x72/0xa0
Jun 23 09:42:35 Canigo kernel: [ 1681.219510] [<f87f6959>] ? carl9170_tx_shift_bm.isra.20+0x109/0x120 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219525] [<f87f6959>] ? carl9170_tx_shift_bm.isra.20+0x109/0x120 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219536] [<c105a632>] warn_slowpath_null+0x22/0x30
Jun 23 09:42:35 Canigo kernel: [ 1681.219551] [<f87f6959>] carl9170_tx_shift_bm.isra.20+0x109/0x120 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219595] [<f8893e79>] ? ieee80211_find_sta+0x19/0x30 [mac80211]
Jun 23 09:42:35 Canigo kernel: [ 1681.219611] [<f87f6a0f>] carl9170_tx_status_process_ampdu+0x9f/0x130 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219627] [<f87f6b62>] carl9170_tx_status+0x82/0xa0 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219643] [<f87f70bf>] __carl9170_tx_process_status+0xcf/0x130 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219659] [<f87f72e5>] carl9170_tx_process_status+0x45/0x80 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219671] [<c149f45e>] ? kfree_skbmem+0x2e/0x80
Jun 23 09:42:35 Canigo kernel: [ 1681.219686] [<f87f854f>] carl9170_handle_command_response+0x21f/0x320 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219702] [<f87f86d7>] __carl9170_rx+0x87/0xd0 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219716] [<f87f8797>] carl9170_rx_stream+0x77/0x340 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219732] [<f87f8a85>] carl9170_rx+0x25/0x28 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219745] [<f87f0305>] carl9170_usb_rx_work+0x85/0x90 [carl9170]
Jun 23 09:42:35 Canigo kernel: [ 1681.219756] [<c1061220>] ? local_bh_enable_ip+0x90/0x90
Jun 23 09:42:35 Canigo kernel: [ 1681.219769] [<f87f032d>] carl9170_usb_tasklet+0x1d/0x30 [carl9170]
Jun...

Artur Ruta (artur-ruta) wrote :

tested kernel 3.1.10 and can confirm that wifi stays stable and performs a whole lot faster

Frank Freibuth (freibooter) wrote :

I can confirm that everything works fine on 3.1.10.

Just out of curiosity I tested the 3.4 mainline kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/

It's just as broken as in 3.2.

Artur Ruta, if you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Frank Freibuth, if you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Luciferion (mikolaj-q) wrote :

Bug still present in kernel 3.5-rc (tested with kernel from xorg-edgers ppa).

Frank Freibuth (freibooter) wrote :

Still broken in 3.2.0-29 and 3.5.0. :-(

Marcos Diaz (marcos-diaz) wrote :

The same here.

Distro: Linux desktop 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Hardware: TP-Link TP-WN821N
Modules:
ath9k_htc 92738 0
ath9k_common 14053 1 ath9k_htc
ath9k_hw 411151 2 ath9k_htc,ath9k_common
mac80211 506816 2 ath9k_htc,carl9170
ath 24067 4 ath9k_htc,ath9k_common,ath9k_hw,carl9170
cfg80211 205544 4 ath9k_htc,carl9170,mac80211,ath
carl9170 83594 0

Luciferion (mikolaj-q) wrote :

At last. The bug has been fixed in 3.6. I didn't test it directly but I tried compat-wireless (backported drivers) and It works perfect with linux 3.5. So if quantal is going to use 3.6 kernel, the bug will be fixed upstream.

If you want to fix your network experience before you can use 3.6 kernel, I recommend carl9170 from compat-wireless.

Lobster (freemangm) wrote :

Same problem.
Linux kamchatka 3.6.3-030603-generic #201210211349 SMP Sun Oct 21 17:50:41 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I use TL-WN822N, driver carl9170

Can't execute "ubuntu-bug linux": "This is not an official Ubuntu package. Please remove any third party package and try again."

Lobster (freemangm) wrote :

I try compat-wireless-3.6.2-1-snpc and compat-drivers-3.7-rc1-6, but problem not solved

Lobster, if you have a bug in Ubuntu, please boot into the kernel that came with Ubuntu, and then execute the following in a terminal:
ubuntu-bug linux

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Id2ndR (id2ndr) wrote :

I found a warkaround: disabling wifi N by adding option "noht=1" (No High Throughput) when loading the module.

$ cat /etc/modprobe.d/carl9170_wifi.conf
options carl9170 noht=1

You also can test nohwcrypt=1 it the first option didn't helped.

Id2ndR (id2ndr) wrote :

When I was using "N mode", I can see "Tx excessive retries" in iwconfig output that increase a lot when the connexion hang. The was no other error or information in dmesg or syslog.

Luciferion, could you please test for this in Raring via http://cdimage.ubuntu.com/daily-live/current/ and report if the problem is reproducible?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Luciferion (mikolaj-q) wrote :

Problem not solved. Raring daily image still affected. (tested 13.01.2013)

tags: added: raring
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Paul Oppenheim (pauloppenheim) wrote :

"Mee too" but with a strange coincidence:

I just purchased a carl9170 based USB wifi adapter to replace a different wifi adapter (with a different driver) that was suffering from a similar, if not the exact same, issue.

ASUS USB-N11, ralink rt2800usb, lsusb:
Bus 001 Device 055: ID 1761:0b05 ASUSTek Computer, Inc. (wrong ID) 802.11n Network Adapter (wrong ID - swapped vendor and device)

src: /usr/src/linux-source-3.2.0/drivers/net/wireless/rt2x00/rt2800usb.c

people having the issue with rt2800:
https://encrypted.google.com/search?hl=en&q=ubuntu%2012.04%20rt2800usb%20stalls

(to which the chorus of responses is similarly "nohwcrypt=1" which doesn't work and "disable N on your router" - well, would be nice to not live with other people, wouldn't it)

Neither nohwcrypt=1 or noht=1 have much effect for me. Wifi AP is an ASUS RT-N66U, carl9170 device is Airlive X.USB which ironically I purchased because it's listed on the kernel.org site as a paragon of wifi ease.
http://wireless.kernel.org/en/users/Drivers

Paul Oppenheim, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Since this bug:

- Is valid.
- Is well described.
- Is reported in the upstream project.
- Is ready to be worked on by a developer.

It's already triaged.

Changed in linux (Ubuntu):
status: Confirmed → Triaged

Alberto Salvia Novella, that's not how kernel bug triaging works. For more on this, please see https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies .

Luciferion, as per http://www.gigabyte.com/products/product-page.aspx?pid=3901#bios an update is available for your BIOS (F13). If you update to this, does it change anything?

If not, could you please provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

As well, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-upstream-testing
tags: added: bios-outdated-f13
Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: added: kernel-bug-exists-upstream-v3.4-rc1
removed: kernel-bug-exists-upstream

apport information

tags: added: apport-collected saucy
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Luciferion (mikolaj-q) wrote :

Saucy network works but not fluent. Connection offen freeze for some time and then unfreeze, but network bundwith is generaly bad. Downloading of bigger files freezes sometimes totaly.

Strange thing but defaut raring kernel 3.8 and 3.10 rc5 (from mainline repo) works good. 3.9 seems to be affected.

Luciferion (mikolaj-q) on 2013-06-12
tags: added: kernel-fixed-upstream kernel-fixed-upstream-v3.10-rc5
removed: bios-outdated-f13 needs-upstream-testing
Frank Freibuth (freibooter) wrote :

Not sure if it is helpful, but I replace my TL-WN822N v1 (based on the currently broken AR9170) with a TL-WN822N v2 (based on the AR7015) - same basic design and superior reception as the old one, same low price, none of the problems. It works flawlessly on Ubuntu 12.10 as well as on Windows.

It's a shame this regression couldn't be fixed in all this time (looks like nobody with the knowledge to fix this owns the affected hardware to test it) so maybe the above is a practical solution for everyone still waiting for a fix, especially considering that the AR9170 is legacy hardware.

Frank Freibuth, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-reverse-bisect
removed: needs-bisect
Changed in linux:
status: New → Invalid

Luciferion, thank you for testing for this in Saucy. The next step would be to reverse bisect in order to identify the earliest mainline kernel version that fixed your problem. Could you please do this following https://wiki.ubuntu.com/Kernel/MainlineBuilds ?

Frank Freibuth (freibooter) wrote :

@ Christopher M. Penalver (penalvch) - is #50 an automated message?

If so, it is immensely frustrating, especially since you told me the same thing earlier (#17) during this very same bug discussion. I stupidly followed your instructions back then, filed the same freaking problem as a new bug like you told me ... and it was closed as a duplicate. What's the point of that, how is that helpful to anyone, it's just wasting everyone's time!

And if you had read what I have typed above, I no longer suffer from this bug, since I replaced the hardware that caused it. It cost me 20€ to fix this regression, but at least I can use Ubuntu again. I merely posted that as a feasible alternative to waiting for a fix that may never come.

Ubuntu used to work fine with AR9170 hardware, it broke about 1.5 years ago making Ubuntu unusable with said hardware, and nobody is currently able and/or willing to fix it.

AR9170 based WiFi dongles are no longer sold new, so this is basically a bug that will eventually become irrelevant over time as more and more hardware gets replaced. If you want to use any semi modern version of Ubuntu, the only current option to do so is avoiding or replacing anything with an AR9170 chip ... simple.

tags: removed: kernel-bug-exists-upstream-v3.4-rc1
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers